Package org.kapott.hbci.GV_Result

## Class GVRFestList.Entry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRFestList.Entry

Enclosing class:
  GVRFestList

    public static final class GVRFestList.Entry
    extends java.lang.Object

Informationen über eine einzelne. Festgeldanlage

### Nested Class Summary

Nested Classes
`static class` `GVRFestList.Entry.Prolong` Informationen darüber, wie eine Festgeldanlage bei Ablauf der Laufzeit zu verlängern ist

### Field Summary

Fields
`Value` `anlagebetrag` Angelegter Geldbetrag
`Konto` `anlagekonto` Konto für die Festgeldanlage
`Konto` `ausbuchungskonto` Konto, welchem der Anlagebetrag nach Ablauf der Festgeldanlage gutgeschrieben wird
`Konto` `belastungskonto` Konto für Abbuchung der regelmäßigen Beträge.
`java.lang.String` `id` Identifikationsnummer dieser Festgeldanlage für weitere Bearbeitung (optional)
`GVRFestCondList.Cond` `konditionen` Konditionen, die für diese Festgeldanlage ausgehandelt wurden
`int` `kontoauszug` Format, in welchem der Kontoauszug für diese Anlage zugestellt wird.
`int` `status` Status dieser Festgeldanlage. 0=Wert nicht gesetzt 1=aktiv 2=vorgemerkt
`boolean` `verlaengern` Soll die Festgeldanlage nach Ablauf des Anlagezeitraumes verlängert werden? Wenn ja, dann enthält das Feld `verlaengerung` entsprechende Informationen darüber
`GVRFestList.Entry.Prolong` `verlaengerung` Informationen, wie im Falle einer Verlängerung verlängert werden soll (optional)
`Value` `zinsbetrag` Voraussichtlicher Zinsertrag dieser Anlage (optional)
`Konto` `zinskonto` Konto, welchem die Zinsen für die Festgeldanlage gutgeschrieben werden

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### anlagekonto

    public Konto anlagekonto

Konto für die Festgeldanlage

#### belastungskonto

    public Konto belastungskonto

Konto für Abbuchung der regelmäßigen Beträge.

#### ausbuchungskonto

    public Konto ausbuchungskonto

Konto, welchem der Anlagebetrag nach Ablauf der Festgeldanlage gutgeschrieben wird

#### zinskonto

    public Konto zinskonto

Konto, welchem die Zinsen für die Festgeldanlage gutgeschrieben werden

#### id

    public java.lang.String id

Identifikationsnummer dieser Festgeldanlage für weitere Bearbeitung (optional)

#### anlagebetrag

    public Value anlagebetrag

Angelegter Geldbetrag

#### zinsbetrag

    public Value zinsbetrag

Voraussichtlicher Zinsertrag dieser Anlage (optional)

#### konditionen

    public GVRFestCondList.Cond konditionen

Konditionen, die für diese Festgeldanlage ausgehandelt wurden

#### verlaengern

    public boolean verlaengern

Soll die Festgeldanlage nach Ablauf des Anlagezeitraumes verlängert werden? Wenn ja, dann enthält das Feld `verlaengerung` entsprechende Informationen darüber

#### kontoauszug

    public int kontoauszug

Format, in welchem der Kontoauszug für diese Anlage zugestellt wird.

- 0 = Wert nicht gesetzt
- 1 = Zustellung per Post
- 2 = Abholung (Kontoauszugsdrucker)

#### status

    public int status

Status dieser Festgeldanlage.

- 0=Wert nicht gesetzt
- 1=aktiv
- 2=vorgemerkt

#### verlaengerung

    public GVRFestList.Entry.Prolong verlaengerung

Informationen, wie im Falle einer Verlängerung verlängert werden soll (optional)

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`